Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.object
Class IdlSequence

    java.lang.Object
      |
      +--org.openorb.compiler.object.IdlObject
            |
            +--org.openorb.compiler.object.IdlSequence

All Implemented Interfaces:
  idlObject, idlSequence, java.io.Serializable

public class IdlSequence
extends IdlObject
implements idlSequence

Cette classe represente l'objet IDL Sequence

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:22 $
Author:
  Jerome Daniel
See Also:
  Serialized Form

Fields inherited from class org.openorb.compiler.object.IdlObject
`_case_sensitive, _comment, _current, _diese, _has_inheritance, _id, _import, _is_container, _list, _map, _name, _opaque, _prefix, _prefix_explicit, _type, _underscore, _upper, adaptName, idlPrefix`

Constructor Summary
`IdlSequence(IdlObject father)` Cree un objet IDL Sequence

Method Summary
`java.util.Enumeration` | `content()` Return this idlObject content
`int` | `getSize()` Retourne la taille de la sequence
`idlObject` | `internal()` Return the internal type for the sequence
`int` | `length()` Return the max length for this sequence
`void` | `setSize(int sz)` Fixe la taille de la sequence

Methods inherited from class org.openorb.compiler.object.IdlObject
`adaptName, addIdlObject, applyPrefix, attach_comment, attach_comment, changePrefix, contains, containsObject, current, end, filter, final_kind, final_object, getComment, getId, getIdComponents, getPrefix, getPrefixDepth, hasComment, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included, insertIdlObject, into, isDefined, isSame, isVisible, kind, myScope, name, name, nameToSequence, next, opaque, opaque, pos, pos, refreshIncluded, reset, returnInheritedObject, returnObject, returnVisibleObject, root, sameAs, search, searchObject, sensitive, setId, switchFinalObject, type, type, upper, use_diese, use_diese`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Constructor Detail

### IdlSequence

    public IdlSequence(IdlObject father)

  Cree un objet IDL Sequence

Method Detail

### getSize

    public int getSize()

  Retourne la taille de la sequence
  Returns:
    la taille

### setSize

    public void setSize(int sz)

  Fixe la taille de la sequence
  Parameters:
    `sz` - la taille

### length

    public int length()

  Description copied from interface: `idlSequence`
  Return the max length for this sequence
  Specified by:
    `length` in interface `idlSequence`
  Overrides:
    `length` in class `IdlObject`
  Following copied from class: `org.openorb.compiler.object.IdlObject`
  Returns:
    le nombre de sous objets

### internal

    public idlObject internal()

  Description copied from interface: `idlSequence`
  Return the internal type for the sequence
  Specified by:
    `internal` in interface `idlSequence`

### content

    public java.util.Enumeration content()

  Description copied from interface: `idlObject`
  Return this idlObject content
  Specified by:
    `content` in interface `idlObject`
  Overrides:
    `content` in class `IdlObject`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD